# Monarch Digital's Bootstrap Drupal Project

This ia a Composer installer for Monarch Digital Drupal projects base on the Bootstrap framework (https://getbootstrap.com/).

## Geting Started

### 1. Create the project and install dependencies
```
$ composer create-project monarch/bootstrap-project --repository=https://packages.monarchdigital.com MY_PROJECT
$ cd MY_PROJECT
```
This will create composer.json and download all default project dependencies including Drupal Core.

### 2. Configure settings and services
```
$ cp example.settings.php sites/default/settings.php
$ cp example.settings.local.php sites/defualt/settings.local.php
$ cp sites/default/default.services.yml sites/default/services.yml
```

Edit sites/default/settings.local.php and add database credentials and other
environment specific settings.

### 3. Install Drupal

```
$ drush si bootstrap_install -y
```
If you want to override the default user name and password, you can use the following

```
$ drush si bootstrap_install -y --user=admin --password=password
```
Be sure not use use admin:password as your user credentials!!! :P

## Local Development with Lando

1. Edit the `.lando.yml` file
    - Change the project name
    - Add the correct theme path for npm and gulp tooling
2. Run `lando start`

### Default tooling

- Install theme node dependencies (including gulp) with `lando npm install`
- Compile gulp styles with `lando gulp make` or `lando gulp watch`

## Include this warning when using Bitbucket Pipelines

```markdown
## ⚠️ Important Warning ⚠️

This website uses **Git** and **Bitbucket pipelines** for its deployment process.

🚫 **Do not modify files in this folder directly.** Any changes made directly here will be **overwritten** during the next deployment process.

✅ To ensure that your changes persist:

1. Clone the repository located at https://bitbucket.org/monarchd/stonybrook-lend/.
2. Make your modifications in the appropriate files or sections.
3. Commit and push your changes to the Git repository.
4. Follow the deployment process as outlined in the `DEPLOYMENT.md` file.

Failure to adhere to the above instructions may result in lost work or unintended disruptions to the live website. Always make sure to backup your changes and work within the provided workflow.
```
